TWE(4)

NAME
twe - 3ware 5000/6000/7000/8000 series PATA/SATA RAID controller

SYNOPSIS
twe* at pci?
scsibus* at twe?

DESCRIPTION
The twe driver provides support for AMCC's 3ware 5000/6000/7000/8000 series PATA/SATA RAID adapters. These adapters were formerly known as ``3ware Escalade''.

These controllers support 2, 4, 8, or 12 ATA disk drives and provide RAID 0, RAID 1, RAID 5, RAID 10, and JBOD configurations. All the RAID set volume management is done via the card's BIOS.

Even though the card uses ATA drives, this driver makes drives and/or RAID sets appear as sd(4).

The twe driver supports the following AMCC 3ware PATA/SATA RAID adapters:

5000 series, 6000 series, 7000-2, 7006-2, 7500-4LP, 7500-8, 7500-12, 7506-4LP, 7506-8, 7506-12, 8006-2LP, 8500-4LP, 8500-8, 8500-12, 8506-4LP, 8506-8, 8506-8MI, 8506-12, and 8506-12MI.

SEE ALSO
intro(4), pci(4), scsi(4), sd(4)

HISTORY
The twe driver first appeared in OpenBSD 2.8.

AUTHORS
-nosplit The twe driver was written by Michael Shalayeff <mickey@openbsd.org>, inspired by the FreeBSD driver by Mike Smith <msmith@freebsd.org>.

BUGS
The card's BIOS seems to conflict with some other disk controllers which have their own BIOS, if such devices are configured earlier than this one. To avoid this situation, place twe cards in the lowest numbered slot before other SCSI or RAID disk controllers.

The current 3ware firmware is known to fail if a redundant configuration is selected (RAID1 or RAID10) and the array is heavily used (e.g. installation) before the controller has finished initializing the array. In this case, create the array, boot the installation media, and leave the array idle until all controller activity has ceased.

None of the volume management or monitoring functions provided by the card's firmware are supported due to the fact that information on these functions is not public.